# libcaosdb

This is libcaosdb - a plain C client library for CaosDB.

## Build

We use [cmake](https://cmake.org) as build tool.

1. `cmake -B build`
2. `cd build`
3. `cmake --build .`

## Unit Tests

### Run

Build tests as described above. In the build directory, run `ctest`

### Framework

We use [cmocka](https://cmocka.org) for unit testing

### Coverage

* We use gcov and lcov for generating test coverage reports.

## Code Formatting

* `clang-format -i --verbose **/*.c **/*.h`

## Documentation

In the build directory, run

* `cmake --build . --target doc-doxygen` (generate Doxygen)
* `cmake --build . --target doc-sphinx` (generate Sphinx)
